> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 리포스트

> 리포스트를 수행하고 취소하며, 리포스트 정보를 조회합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Retweets 엔드포인트를 사용하면 리트윗을 하거나 취소하고, 누가 게시물을 리트윗했는지 확인하며, 자신의 포스트에 대한 리포스트를 조회할 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="리트윗" icon="retweet">
    사용자 대신 게시물을 리트윗합니다
  </Card>

  <Card title="리트윗 취소" icon="xmark">
    리트윗을 취소합니다
  </Card>

  <Card title="리트윗한 사용자" icon="users">
    누가 해당 게시물을 리트윗했는지 확인합니다
  </Card>

  <Card title="내 게시물의 리포스트" icon="repeat">
    내 게시물의 리포스트를 가져옵니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

<div id="retweets-lookup">
  ### 리트윗 조회
</div>

| Method | Endpoint                                                         | Description                |
| :----- | :--------------------------------------------------------------- | :------------------------- |
| GET    | [`/2/tweets/:id/retweeted_by`](/ko/x-api/posts/get-reposted-by)  | 게시물을 리트윗한 사용자 조회           |
| GET    | [`/2/tweets/:id/quote_tweets`](/ko/x-api/posts/get-quoted-posts) | 게시물의 인용 포스트 조회             |
| GET    | [`/2/users/reposts_of_me`](/ko/x-api/users/get-reposts-of-me)    | 인증된 사용자의 포스트를 리포스트한 게시물 조회 |

<div id="manage-retweets">
  ### 리트윗 관리
</div>

| Method | Endpoint                                                           | Description |
| :----- | :----------------------------------------------------------------- | :---------- |
| POST   | [`/2/users/:id/retweets`](/ko/x-api/users/repost-post)             | 게시물을 리트윗합니다 |
| DELETE | [`/2/users/:id/retweets/:tweet_id`](/ko/x-api/users/unrepost-post) | 리트윗을 취소합니다  |

***

<div id="example-get-retweeting-users">
  ## 예시: 리트윗한 사용자 목록 조회
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/retweeted_by?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-retweet-a-post">
  ## 예시: 게시물 리트윗하기
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/retweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"tweet_id": "1234567890"}'
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키 및 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="조회 빠른 시작" icon="retweet" href="/ko/x-api/posts/retweets/quickstart/retweets-lookup">
    게시물 리트윗 가져오기
  </Card>

  <Card title="관리 빠른 시작" icon="plus" href="/ko/x-api/posts/retweets/quickstart/manage-retweets">
    리트윗 및 리트윗 취소
  </Card>

  <Card title="내 포스트의 리포스트" icon="repeat" href="/ko/x-api/posts/retweets/quickstart/retweets-of-me">
    내 포스트의 리포스트 가져오기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/posts/retweeted-by">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
